# The following lines of boilerplate have to be in your project's
# CMakeLists in this exact order for cmake to work correctly
cmake_minimum_required(VERSION 3.16)

include($ENV{IDF_PATH}/tools/cmake/project.cmake)

add_definitions(
  -Wno-unknown-pragmas
  -DMASK_VERSION=0x07B0
  -DKNX_NO_AUTOMATIC_GLOBAL_INSTANCE
  -DKNX_FLASH_SIZE=4096
  #-DKNX_NO_PRINT
  #-Wno-stringop-truncation
)

project(knxdisplay)
